WSLACT(1)

NAME
wslact - Component of Windows 10 Linux Subsystem Utility

SYNOPSIS
wslact COMMAND ...

DESCRIPTION
A set of quick actions for WSL such as creating startup tasks and manually sync time between Windows and WSL.

Currently, we have two features available:
ts, time-sync - Time Sync
sm, auto-mount - Auto Mounting

COMMANDS

  Time Sync
Time Sync (time-sync) feature allows user to manually sync time from Windows to WSL. Sometime, when you have network issues, WSL time will be slower than the Windows time. This tool is designed for this situation. Requires sudo.

SYNOPSIS
    wslact time-sync [-h]

OPTIONS
    -h, --help
    print a simple help.

  Auto Mounting
Smart Mounting (auto-mount) feature allows you to mount all drives available on Windows to WSL. Requires sudo.

SYNOPSIS
    wslact auto-mount [-h]

OPTIONS
    -m, --mount-options
    pass a list of options you want to pass to mount command.
    -h, --help
    print a simple help.

OPTIONS

-h, --help
    print a simple help.

-v, --version
    print current version.

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslu(7)